Cashier API
Payments API
//
processCard
OMNO API Documentation (2.0.0)
Download OpenAPI description
Overview
E-mail
Languages
Servers
Production
https://api.omno.com
Sandbox
https://api.omno.dev
Request
Start direct link payin processing for the given ID and after this transaction will start processing.
Security
bearerAuth
Start direct link payin processing request
- Productionhttps://api.omno.com/public/payin/{payinId}/process/direct-link
- Sandboxhttps://api.omno.dev/public/payin/{payinId}/process/direct-link
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.omno.com/public/payin/944732c4608c441aa91379478b91f76e/process/direct-link \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"browser": {
"acceptHeader": "string",
"userAgent": "string",
"language": "string",
"timeZoneOffset": 0,
"timeZone": "string",
"colorDepth": 0,
"screenHeight": 0,
"screenWidth": 0,
"windowHeight": 0,
"windowWidth": 0,
"javaEnabled": true,
"javascriptEnabled": true,
"customerIp": "string"
},
"additionalData": {
"property1": {},
"property2": {}
}
}'Response
application/json
{ "paymentId": "string", "status": "CREATED", "redirectUrl": "string" }
- Productionhttps://api.omno.com/public/payin/{payinId}/process/card
- Sandboxhttps://api.omno.dev/public/payin/{payinId}/process/card
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://api.omno.com/public/payin/{payinId}/process/card' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"browser": {
"acceptHeader": "string",
"userAgent": "string",
"language": "string",
"timeZoneOffset": 0,
"timeZone": "string",
"colorDepth": 0,
"screenHeight": 0,
"screenWidth": 0,
"windowHeight": 0,
"windowWidth": 0,
"javaEnabled": true,
"javascriptEnabled": true,
"customerIp": "string"
},
"cardData": {
"cardNumber": "string",
"expirationMonth": "string",
"expirationYear": "string",
"cvv": "string",
"cardholderName": "string"
},
"saveCard": true
}'Response
application/json
{ "paymentId": "string", "status": "CREATED" }
- Productionhttps://api.omno.com/public/payin/{payinId}
- Sandboxhttps://api.omno.dev/public/payin/{payinId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://api.omno.com/public/payin/944732c4608c441aa91379478b91f76e \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Payment transaction details
Unique identifier current merchant
Example: "944732c4608c441aa91379478b91f76e"
Unique identifier for create/updated customer
Example: "944732c4608c441aa91379478b91f76e"
Merchant specified order identifier
Example: "944732c4608c441aa91379478b91f76e"
PayIn transaction currency. If processor psp doesn't allow this currency but if this currency is enabled it will be automatically converted to PSP currency and final transaction currency will be set respectively.
PayIn transaction status
Enum"CREATED""PENDING""PENDING_3DS""SUCCESS""REFUNDED""PARTIALLY_REFUNDED""DECLINED""FAILED""TIMEOUT""REFUND_FAILED"
Example: "CREATED"
Return URLs after transaction is finished.
Unique identifier for card if card was saved
Example: "944732c4608c441aa91379478b91f76e"
Card hash if card was used during transaction
Example: "7094c34678b3a4e29bcb5149266d1c811de2b6fc9370be9d5acdd7a334d8852b"
Additional data obtained from Payment Service Provider during transaction processing
Response
application/json
{ "id": "944732c4608c441aa91379478b91f76e", "amount": 100, "merchantId": "944732c4608c441aa91379478b91f76e", "customerId": "944732c4608c441aa91379478b91f76e", "orderId": "944732c4608c441aa91379478b91f76e", "currency": "string", "status": "CREATED", "initialAmount": 100, "initialCurrency": "USD", "routerId": "string", "returnUrls": { "success": "https://example.com/success", "failure": "https://example.com/failure" }, "cardId": "944732c4608c441aa91379478b91f76e", "cardMask": "1234 56** **** 1234", "cardBrand": "VISA", "cardHash": "7094c34678b3a4e29bcb5149266d1c811de2b6fc9370be9d5acdd7a334d8852b", "merchantPspId": "944732c4-608c-441a-a913-79478b91f76e", "pspTransactionId": "944732c4-608c-441a-a913-79478b91f76e", "statusReason": { "reason": "string", "detailedStatus": "GENERAL_DECLINE", "status": "CREATED" }, "previousTransactionCount": 0, "metadata": { "ipAddress": "string", "ipInfo": { … }, "deviceType": "MOBILE", "proxyDetection": { … }, "emailValidation": { … }, "phoneValidation": { … } }, "transactionType": "CARD", "additionalData": { "property1": {}, "property2": {} }, "pspAdditionalData": { "property1": {}, "property2": {} }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }